
%% Load the prepared training data of voc10.
source = load_value('data/xps/voc10/train_source.mat');

%% Segment a single test image from voc10.
image = load_value('data/sets/voc10/quickstart_image.mat');
segmentation = load_value('data/sets/voc10/quickstart_segmentation.mat');
windows = st_windows(image,100);
features = st_features_gist(image,windows);
weights = ones(1,100)/100;
mask = st_transfer(source,[333 500],windows,features,@distance_L2,weights);
prediction = st_segment(image,mask,0.2,20);

%% Display the results.
show_prediction(prediction,image,mask);

%% If it worked correctly, the result should be similar to:
cvpr12_prediction = load_value('data/sets/voc10/quickstart_prediction.mat');
cvpr12_mask = load_value('data/sets/voc10/quickstart_mask.mat');
show_prediction(cvpr12_prediction,image,cvpr12_mask);
