function hog = st_features_hog(image,windows,bins)
% Compute HOG features for windows in images.
%
% arguments:
%   image = rgb uint8 image, or cell of ~
%   windows = array of windows, or cell of ~
%   bins = HOG configuration struct
%     s = TODO?
%     h = number of horizontal bins
%     w = number of vertical bins
%
% returns:
%   hog = array of hog features in rows, or cell of ~


if iscell(image)
	hog = map('c','par',@compute,'cc-',{image,windows,bins});
else
	hog = compute(image,windows,bins);
end;


function hog = compute(image,windows,bins)

% TODO dependency?
hog = mg_image_boxes_hog_descriptors_naive_ext(image,windows,bins.s,bins.h,bins.w);

