function source = st_join_sources(sources)
% Joins multiple sources into one source.
% Note: All sources must be with the same
% feature dimensionionality and masksize.
%
% arguments
%   sources = cell array of sources
%
% returns
%   source = a single source

source = struct();

source.N = sum(map('a','for',@getfield,'c-',{sources,'N'}));

source.D = sources{1}.D;
assert(all(map('a','for',@getfield,'c-',{sources,'D'})==source.D));

source.M = sources{1}.M;
assert(all(map('a','for',@getfield,'c-',{sources,'M'})==source.M));

sources = reshape(sources,1,1,[]);
source.masks = map('a','for',@getfield,'c-',{sources,'masks'});

sources = reshape(sources,[],1);
source.features = map('a','for',@getfield,'c-',{sources,'features'});
source.images = map('c','for',@getfield,'c-',{sources,'images'});

