function s = st_score_acc(gt,m)
% Computes the pixelwise accuarcy.
%
% arguments:
%   gt = groundtruth, logical image, or cell of ~
%   m = prediction, logical image, or cell of ~
%
% returns:
%   s = accuracy score in range [0..1]

if iscell(gt)
	assert(iscell(m));
	s = map('a','for',@compute,'cc',{gt,m});
else
	s = compute(gt,m);
end;


function s = compute(gt,m)
% For one image only.

gt = gt(:);
m = m(:);

s = sum(gt==m) / length(gt);

